> For the complete documentation index, see [llms.txt](https://ditoland-utplus.gitbook.io/ditoland/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://ditoland-utplus.gitbook.io/ditoland/api-reference/server/physics.md).

# Physics

## Physics

물리 관련 설정을 처리하는 객체에요.

### **함수**

<br>

| **void AddForce(StaticMeshObject Mesh, Vector Force)** |
| ------------------------------------------------------ |

특정 스테틱 메시에 힘을 가할 수 있어요(힘을 가 할 오브젝트, 가 할 힘)\
(deprecated) Object.Physics:AddForce(force)를 사용해주세요

\-- 샘플 --

```lua
local target = Workspace.Cube
local force = Vector.new(50000, 0, 0)

Physics:AddForce(target, force) --force값 만큼 오브젝트를 밀어요. (오브젝트의 물리 프로퍼티가 켜져있어야 해요.)
```

\ <br>

## **사용 가능한 부모 오브젝트 기능들**

### **속성**

| **이름** | **설명** |
| ------ | ------ |

### **이벤트**

| **이름** | **설명** |
| ------ | ------ |

### **함수**

| **이름**                                                                                     | **설명**                           |
| ------------------------------------------------------------------------------------------ | -------------------------------- |
| [**SetGravity**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/physics) | **중력 값을 설정 할 수 있어요. (설정할 중력 값)** |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ditoland-utplus.gitbook.io/ditoland/api-reference/server/physics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
